const option = {
  color: ['rgb(87, 239, 229)', 'rgb(141, 161, 255)', '#5AFF65'],
  tooltip: {
    trigger: 'axis',
    borderWidth: '0',
    backgroundColor: 'rgba(73,81,92,.95)',

    textStyle: {
      color: '#CBEDFF',
      fontSize: 16,
    },
  },
  grid: {
    left: '2%',
    right: '2%',
    bottom: '2%',
    top: '40%',
    containLabel: true,
  },
  legend: {
    data: [],
    icon: 'circle',
    top: 0,
    itemGap: 50,
    textStyle: {
      fontSize: '16px',
      color: '#E4EDFF',
    },
  },
  xAxis: [
    {
      type: 'category',
      boundaryGap: true,
      axisLine: {
        show: false,
      },
      axisLabel: {
        show: true,
        // interval: 0,
        textStyle: {
          padding: [2, 0, 0, 0],
          color: '#CBEDFF',
          fontSize: 14,
        },
      },
      axisTick: {
        show: false,
      },
      axisPointer: {
        type: 'shadow',
      },
      data: [],
    },
  ],
  yAxis: [
    {
      type: 'value',
      // name: '件',
      min: 0,
      interval: 10,
      axisLabel: {
        show: false,
      },
      splitLine: {
        show: false,
      },
      axisLine: {
        show: false,
      },
      axisTick: {
        show: false,
      },
    },
  ],
  series: [
    {
      name: '新增',
      type: 'line',
      symbol: 'none',
      stack: 'Total',
      lineStyle: {
        color: 'rgb(87, 239, 229)',
        width: 3,
      },

      areaStyle: {
        color: {
          type: 'linear',
          x: 0,
          y: 0,
          x2: 0,
          y2: 1,
          colorStops: [
            {
              offset: 0,
              color: 'rgba(141, 161, 255,0.36)', // 0% 处的颜色
            },
            {
              offset: 1,
              color: 'rgba(141, 161, 255,0)', // 100% 处的颜色
            },
          ],
          global: false, // 缺省为 false
        },
      },
      data: [],
    },
    {
      name: '解决',
      type: 'line',
      symbol: 'none',
      stack: 'Total',
      lineStyle: {
        color: 'rgb(141, 161, 255)',
        width: 3,
      },

      areaStyle: {
        color: {
          type: 'linear',
          x: 0,
          y: 0,
          x2: 0,
          y2: 1,
          colorStops: [
            {
              offset: 0,
              color: 'rgba(141, 161, 255,0.36)', // 0% 处的颜色
            },
            {
              offset: 1,
              color: 'rgba(141, 161, 255,0)', // 100% 处的颜色
            },
          ],
          global: false, // 缺省为 false
        },
      },
      data: [],
    },
  ],
};

export default option;
