import React from 'react';
import SubPageTemplate from '../SubPageTemplate';
import { INDUSTRY_PAGE_IDS } from '@/constants/dataTypes';

// 引入左侧组件
import LeftContent from './components/LeftContent';
// 复用餐饮油烟的右侧组件
import RightContent from '../RestaurantOil/components/RightContent';

interface ConstructionWasteProps {
  visible: boolean;
}

/**
 * 建筑垃圾子页面
 * 使用通用子页面模板实现
 */
const ConstructionWaste: React.FC<ConstructionWasteProps> = ({ visible }) => {
  return (
    <SubPageTemplate
      visible={visible}
      pageId={INDUSTRY_PAGE_IDS.CONSTRUCTION_WASTE}
      leftComponent={LeftContent}
      rightComponent={(props) => (
        <RightContent
          {...props}
          dataTypeKey="建筑垃圾事件"
          title="建筑垃圾事件"
          useHighFrequencyType={true}
          isThinLayout={true}
        />
      )}
      title="建筑垃圾监管"
    />
  );
};

export default ConstructionWaste; 