import React from 'react';
import PanelTitle from '@/pages/Home_v_2504/components/common/PanelTitle';
import DateSelector from '@/components/V2504/DateSelector';
import styles from './RightContent.less';

/**
 * 环卫行业子页面 - 右侧内容组件
 * 这是一个示例组件，实际使用时需要根据业务需求实现具体内容
 */
const RightContent: React.FC = () => {
  // 处理日期变化
  const handleDateChange = (params: { type: string; startTime: string; endTime: string }) => {
    console.log('环卫行业 - 右侧日期变化:', params);
  };

  return (
    <div className={styles.container}>
      {/* 标题 */}
      <div className={styles.header}>
        <PanelTitle title="环卫行业事件" />
        <DateSelector
          onChange={handleDateChange}
          defaultType="month"
          panelType="right"
        />
      </div>

      <div className={styles.content}>
        <div className={styles.placeholder}>
          环卫行业右侧内容
          <p>这是一个示例组件，实际使用时需要根据业务需求实现</p>
        </div>
      </div>
    </div>
  );
};

export default RightContent; 