import React from 'react';
import SubPageTemplate from '../SubPageTemplate';
import { INDUSTRY_PAGE_IDS } from '@/constants/dataTypes';

// 引入左侧组件
import LeftContent from './components/LeftContent';
// 复用餐饮油烟的右侧组件
import RightContent from '../RestaurantOil/components/RightContent';

interface LandscapeLightingProps {
  visible: boolean;
}

/**
 * 景观照明子页面
 * 使用通用子页面模板实现
 */
const LandscapeLighting: React.FC<LandscapeLightingProps> = ({ visible }) => {
  return (
    <SubPageTemplate
      visible={visible}
      pageId={INDUSTRY_PAGE_IDS.LANDSCAPE_LIGHTING}
      leftComponent={LeftContent}
      rightComponent={(props) => (
        <RightContent
          {...props}
          dataTypeKey="景观照明事件"
          title="景观照明事件"
          useHighFrequencyType={true}
          isThinLayout={true}
        />
      )}
      title="景观照明监管"
    />
  );
};

export default LandscapeLighting; 