import React from 'react';
import SubPageTemplate from '../SubPageTemplate';
import { INDUSTRY_PAGE_IDS } from '@/constants/dataTypes';

// 引入左侧组件
import LeftContent from './components/LeftContent';
// 复用餐饮油烟的右侧组件
import RightContent from '../RestaurantOil/components/RightContent';

interface LawEnforcementProps {
  visible: boolean;
}

/**
 * 执法管理子页面
 * 使用通用子页面模板实现
 */
const LawEnforcement: React.FC<LawEnforcementProps> = ({ visible }) => {
  return (
    <SubPageTemplate
      visible={visible}
      pageId={INDUSTRY_PAGE_IDS.LAW_ENFORCEMENT}
      leftComponent={LeftContent}
      rightComponent={(props) => (
        <RightContent
          {...props}
          dataTypeKey="执法管理事件"
          title="执法管理事件"
          useHighFrequencyType={true}
          isThinLayout={true}
        />
      )}
      title="执法管理监管"
    />
  );
};

export default LawEnforcement; 