import React from 'react';
import SubPageTemplate from '../SubPageTemplate';
import { INDUSTRY_PAGE_IDS } from '@/constants/dataTypes';

// 引入左侧组件
import LeftContent from './components/LeftContent';
// 复用餐饮油烟的右侧组件
import RightContent from '../RestaurantOil/components/RightContent';

interface LawEnforcementCoordinationProps {
  visible: boolean;
}

/**
 * 市区协同子页面
 * 使用通用子页面模板实现
 */
const LawEnforcementCoordination: React.FC<LawEnforcementCoordinationProps> = ({ visible }) => {
  return (
    <SubPageTemplate
      visible={visible}
      pageId="lawEnforcementCoordination"
      leftComponent={LeftContent}
      rightComponent={(props) => (
        <RightContent
          {...props}
          dataTypeKey="市区协同"
          title="市区协同"
          useHighFrequencyType={true}
          isThinLayout={true}
        />
      )}
      title="市区协同监管"
    />
  );
};

export default LawEnforcementCoordination; 