import React from 'react';
import SubPageTemplate from '../SubPageTemplate';
import { INDUSTRY_PAGE_IDS } from '@/constants/dataTypes';

// 引入左侧组件
import LeftContent from './components/LeftContent';
// 复用餐饮油烟的右侧组件
import RightContent from '../RestaurantOil/components/RightContent';

interface LawEnforcementPatrolProps {
  visible: boolean;
}

/**
 * 日常巡查子页面
 * 使用通用子页面模板实现
 */
const LawEnforcementPatrol: React.FC<LawEnforcementPatrolProps> = ({ visible }) => {
  return (
    <SubPageTemplate
      visible={visible}
      pageId="lawEnforcementPatrol"
      leftComponent={LeftContent}
      rightComponent={(props) => (
        <RightContent
          {...props}
          dataTypeKey="日常巡查"
          title="日常巡查"
          useHighFrequencyType={true}
          isThinLayout={true}
        />
      )}
      title="日常巡查监管"
    />
  );
};

export default LawEnforcementPatrol; 