import React from 'react';
import SubPageTemplate from '../SubPageTemplate';
import { INDUSTRY_PAGE_IDS } from '@/constants/dataTypes';

// 引入左侧组件
import LeftContent from './components/LeftContent';
// 复用餐饮油烟的右侧组件
import RightContent from '../RestaurantOil/components/RightContent';

interface LawEnforcementPunishmentProps {
  visible: boolean;
}

/**
 * 行政处罚子页面
 * 使用通用子页面模板实现
 */
const LawEnforcementPunishment: React.FC<LawEnforcementPunishmentProps> = ({ visible }) => {
  return (
    <SubPageTemplate
      visible={visible}
      pageId="lawEnforcementPunishment"
      leftComponent={LeftContent}
      rightComponent={(props) => (
        <RightContent
          {...props}
          dataTypeKey="行政处罚"
          title="行政处罚"
          useHighFrequencyType={true}
          isThinLayout={true}
        />
      )}
      title="行政处罚监管"
    />
  );
};

export default LawEnforcementPunishment; 