import React from 'react';
import SubPageTemplate from '../SubPageTemplate';
import { INDUSTRY_PAGE_IDS } from '@/constants/dataTypes';

// 引入左侧组件
import LeftContent from './components/LeftContent';
// 复用餐饮油烟的右侧组件
import RightContent from '../RestaurantOil/components/RightContent';

interface MunicipalProps {
  visible: boolean;
}

/**
 * 市政设施子页面
 * 使用通用子页面模板实现
 */
const Municipal: React.FC<MunicipalProps> = ({ visible }) => {
  return (
    <SubPageTemplate
      visible={visible}
      pageId={INDUSTRY_PAGE_IDS.MUNICIPAL}
      leftComponent={LeftContent}
      rightComponent={(props) => (
        <RightContent
          {...props}
          dataTypeKey="市政设施事件"
          title="市政设施事件"
          useHighFrequencyType={true}
          isThinLayout={true}
        />
      )}
      title="市政设施监管"
    />
  );
};

export default Municipal; 