import React from 'react';
import styles from './index.less';

// 模块标题组件
const ModuleTitle: React.FC<{
  title: string;
  showDateSelector?: boolean;
  dateType?: string;
  onDateTypeChange?: (type: string) => void;
}> = ({ title, showDateSelector = false, dateType = 'day', onDateTypeChange }) => {
  return (
    <div className={styles.moduleTitle}>
      <div className={styles.title}>{title}</div>
      {showDateSelector && (
        <div className={styles.dateSelector}>
          <div
            className={`${styles.dateItem} ${dateType === 'day' ? styles.active : ''}`}
            onClick={() => onDateTypeChange && onDateTypeChange('day')}
          >
            日
          </div>
          <div
            className={`${styles.dateItem} ${dateType === 'month' ? styles.active : ''}`}
            onClick={() => onDateTypeChange && onDateTypeChange('month')}
          >
            月
          </div>
          <div
            className={`${styles.dateItem} ${dateType === 'year' ? styles.active : ''}`}
            onClick={() => onDateTypeChange && onDateTypeChange('year')}
          >
            年
          </div>
        </div>
      )}
    </div>
  );
};

export default ModuleTitle; 